<?php
/*
Plugin Name: tigaman webdesign - AutoTags
Plugin URI: https://www.tigaman.com/
Description: This plugin automatically generates tags and allows users to set the minimum character length for auto-tagging.
Version: 1.0
Author: tigaman
Author URI: https://www.tigaman.hu/
License: GPL2
*/
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twd_auto_tags_settings_link' );
function twd_auto_tags_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=twd-auto-tags-settings";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
    $links[] = $settings_link;
    return $links;
}
function twd_auto_tags_settings_page() {
    add_options_page( 'Auto tags option', 'Auto Tags', 'manage_options', 'twd-auto-tags-settings', 'twd_auto_tags_settings_page_content' );
}
add_action( 'admin_menu', 'twd_auto_tags_settings_page' );

// Register plugin settings
function twd_auto_tags_register_settings() {
    register_setting( 'twd-auto-tags-settings-group', 'twd_auto_tags_min_chars' );
}
add_action( 'admin_init', 'twd_auto_tags_register_settings' );

// Settings page content
function twd_auto_tags_settings_page_content() {
?>
    <div class="wrap">
        <h1>Auto Tagging Settings</h1>
        <form method="post" action="options.php">
            <?php settings_fields( 'twd-auto-tags-settings-group' ); ?>
            <?php do_settings_sections( 'twd-auto-tags-settings-group' ); ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">Minimum character length for automatic tagging:</th>
                    <td><input type="number" name="twd_auto_tags_min_chars" value="<?php echo esc_attr( get_option('twd_auto_tags_min_chars', 1000) ); ?>" /></td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
<h1>See more free stuff - tigaman webdesign</h1>
          
<style type="text/css">
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;500&display=swap');
.wrap {
	box-shadow: 0 0 5px rgba(0,0,0,.3);
	padding: 30px;
	font-family: 'Roboto', sans-serif;
	background: url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='UTF-8' standalone='no'?%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='250px' height='75px' viewBox='0 0 250 75' enable-background='new 0 0 250 75' xml:space='preserve'%3E%3Cimage id='image0' width='250' height='75' x='0' y='0' href='data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAPoAAABLCAQAAADzc1JmAAAABGdBTUEAALGPC/xhBQAAACBjSFJN AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QA/4ePzL8AAAAJcEhZ cwAACxIAAAsSAdLdfvwAAAAHdElNRQfmCBwXGSyWx4HXAAADzXpUWHRSYXcgcHJvZmlsZSB0eXBl IHhtcAAAeJztnU1yozAQhfc6RY4gd+sHHwcb2E3VLOf481pkbAfjxDGZqkdVhwpgIbX66x82b0H4 8+t3eHt7O0gXJehZp9rVWA5Fy6nkmiQWKbnUciyjDiLjdDqdJhGMH0uykVw1p0FjGmpMirldOYbU 1b5iYdbapzGngisMqmKRiE46xl7PtdO+dgULy2CblYNE+13OZaxqz4LtAG9SmcwP7ecHl+nNk6sZ jJ1sRbqskJi7NOQYxJybahvSLKOqDPAn6kGxq4IXYwdNmu0eY2eMSnsuMuE6n0uQoU3r28QeU6rE xSGGN98DUuALZmZJKZUrYGiE80OD7GrCEbUH1FTbn4wVk2Rsflfsf9CjHRd/BOchzEZkqFqRJYtL 7QCHSNnzqy9Lj+AOkofUSDla7AJSOpURLr5PQOAFeyPU5iEi3d+hvh+LrFku7qGaR+M1m7hHSsoA 3A4+RwNEEqJldfY6LPexmmnG+2RuZyxLFp1sJqdy1vE29YA42qxaQwvhCftHyzCSHaXLraptOmKt ctRz8+RT82EtBqte5ZTmq46tjlqucK3tfAg5YQjhwr/VUVTN/QMPbkzdbx8+7D/AzQSsUo+f7C+a LttH7Voxw6OP+6+aWtaSTPfVFOZymqvp+fK7r77wSvlhsS5rL8DNCENSztdusok4ZyzM9kKx1kEZ zEV4uBbhItiG0PboS2mmBouNjnAfd3hTZtsMdVUtOmszF5W9HsT1GN7OnV8oYX6VWt6WL9O1anl8 3PXaq8f/MvQdGHq012H40D6yMHi0wdBnidkd2vNVtgO0V1uGEu1n+p8D7ZaFw6MNhh4nZodoz1bZ LtBeaxlStJ/ofxa0KwuLRxsMPUrMLtGeq7KdoL3SMrRo2/ufB+0fC49HGwytJ2anaM9U2W7Qvt8y xGhb+58JbWZh8miDobXE7Bbt6yrbEdp3W4YabVv/c6GtKjV7RVsVWPaK9lWV7Qrtey1Djral/9nQ Ys/m0QZDq4rfXtE+r7KdobmYyYrmYiYpmouZrGguZpKiuZjJiuZiJiuai5mkaC5msqK5mEmK5mIm K5qLmaxoLmaSormYyYrmYiYpmouZrGguZrKiuZhJiuZiJiuai5msaC5mkqK5mMmK5mImKZqLmaxo LmayormYSYrmYiYrmouZpGguZrKiuZjJiuZiJimai5msaC5mkqK5mMmK5mImK5qLmaRoLmayormY yYrmYiYpmouZrGguZpKiuZjJiuZi5j/pcPUDKtk+MmGfJKh1/vZJ+AtO+opWFFIRmgAABx1JREFU eNrtnDFoKmsWgL99WFhYWAhrYSG8FBYXVriBDdzAtUiRhcBaCM8HFi64kCKFxS0sLFzIgxSBTZHC IsuzCKwLeZDCwiKFRQoLC4sscUFIHi9glpvFgAEvzIWzReaamWRi9CbjJDfnq3TmOOfMP/9//vOf /4ygKIqiKIqiKIqiKIqiKIqiKIqifMPEOKFH0GszlNkRoYdg6EN/TdQQhAOvzVBmRwpBEFJeG6JA jpUZaPHRRRC6+Ly+YSWE0JqBnqw5zvNe37ACSYR117V8Gec9/F7fsAJbCPOua8noOH9ONDmbgZaW jvPngx+DsutaFsxxvub17SoACYRl17VUNG53l+kadoFPNJ5I8xyfHKeKID8AsM8yIXxEgAAhi8Q5 Lfb57EFrfSP8birpGr4nG+k13vMfzrgEggQ5JYiPz/yBKNDhFz4Dl1xafhPBT5QYb/mJotdN91ro P+E8GyJBgkWiRGzHDxEM3oz9bY6E103xWphDiLmsI4IgbHh9q8oXMjNYrhUROrpUc5fvxpyL2sIn mJ/BjtcKV6T5BEBQH/4sCbBG606WvUXWdb0GW6Nvv7EzxW9DJLSTjJhnhwpl8ixMIh5iiz6CcETG ctzHkDmXTU0hLI2+TbOXXmCIsPsI3eHR8nXB9cjFfcpmgksQzsiPGw4+8vQRBpTvZNjjXMzA1IHF vMqEniVADaFI5hEWpkcbSXsIBmHX79VdgiRIkGadOkOEo/sGbIQmwkeKjgVKOWqum9qZSsccJfao 0ja3ZhIMHeXibFJhnSibNO5Z7HUQMkDeHB2LD+j2k6PCDiskqFNxlJln51ZU5A0BVuly5JSIi9HD YOPeirRtNl02LmTbV1uhM9bNFjAsLmyPMGlOHeTWbXJiiRluiCP08BFlwD6C3Mod3G2rju2a4thq VbPzLNOi/cAV3SZA427xS4geJ2M3TRusumxYErE4oQ4yJghZRxCqXCG06CEUKdC8R+43M58vCDmH q5UQdoA6TTIIg7F2XhdsCnscj2ZNJ/oM8ZPHwEBmsFE1no27k+UOxw/MY10+3DqyauvrfU455ZCG KTf+rLNZ3dHnNwjte+SS7CIYpKkiHBEgyCphqqNALs4HdmlQRxCOiXOMcMkFcifXF2ODE4RlVhDi rJurliBpS1D5BT/b5qPOk0cY8Ik+e3ek0uwh1E2ZBE0+OrjX1Xszi0/dtiF6N0PoiyEpFjgf+9Cz d863+BtXDsFTa4KzTsSpjz4vgkPs7iNJgbcA/MQCP3DOCldAGYhRAVYo8ZZ/c4Gfd8AFP/JPYvxC mgA9y0ZNhBQp3nFFgM80afEv2uSBNkv8TAT4kapFf4A670zt8Heu+BOHbBC1WJggzZ8J8T8gMpIp 8zPLtoglwg7v+es9bfG0bRtin19v+8HoTOreHuLCMuuUkFvuKMoGZ3ykTM4MN4WBZUIKIKSp0SNv hk9BDIQixwg1s3uvckiOHFu0uWCfAgvMIzTJYjAHNBAaGBis0uLIZsExfY4QOhQRDDPcC9FknSwf 2OeCNtukCbOJIBgkAfBzYtufzPKRqutL4GsWOWHgFB+d2dbkXhDCIDD6toaMYgg/KWr02SWJj+ui yYGlQa9ZQuhTtlwjjmDQQzi0HL1ezCQsk1kGocyJmQrqmA8rxXWUETelUvSpEWEf4WwkcaMrQYK4 ZcG5hyAULE0/YBM/AVIcsj+6rruE2UHoOa9GsgiHZO6N3eddL2lYsLmfMH0aJMhR4ZBNliz605bH ckMJ41aoGWRovi4RGKeYEkKbodkN2rbqvDo1oixxQNv0QxsIwuDBevzGnWRRjG0aVFmbUSQ/xxZD hMb9+nL0EQza7FKiRNpyLo6w7bKJmVuLqQh5CiQdwssAu9Rv9d0YfQcL0zQoPthdK7alXI5TS0Dk p0CFbUsVQZDqROO0SO2BzuYe177xus4wO140TIlTS/LuhixCx2VDC46LqckIc4LYnP00lBEGLz4H d0OSAYJwOj79amWOJFmytok/wsGY5cDTsDXZ1oADPg4wHvGiYxZx/e5mSZpL9lh5CTWGla+e6YoM OHBIzEzOy99geaHsf+Xv4hgUOKfk9Q28HL57/CU8xUeZX2nxe0tiR3mA5+P3Lwl9xdZohj/yF5b4 76Pcu+IRm19R4eqnRxcf3alqbF49z8e9t2yZgclYJcw2b/h+Bnv9igsEuJjyXyd8dOnjZ8tWb6O8 KHKIZXP1YZJmHu3sUbVxiscsT5WVqyPEWHpELk55YYQxaAJV+urcXwt5hDVCDD0vRFJmxgFChA9j K+mUb4oAQ5pA11bbokzE81mnT8cifg5I8r0699fDOsISDQb6z7HT81JH+hvAz3v+YfunCuWbpsU5 rRm8Uqk8I67Lutx+0Up5VtQQjj0rPFQ8IUz2WbwRqiiKoiiKoiiKoiiKoiiKoii3+T/j/qjtmGlT CAAAABZ0RVh0Q3JlYXRpb24gVGltZQAwNy8wMi8yMq1LEssAAAAldEVYdGRhdGU6Y3JlYXRlADIw MjItMDgtMjhUMjM6MjU6NDQrMDA6MDAepk1wAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA4LTI4 VDIzOjI1OjQ0KzAwOjAwb/v1zAAAACh0RVh0ZGF0ZTp0aW1lc3RhbXAAMjAyMi0wOC0yOFQyMzoy NTo0NCswMDowMDju1BMAAAATdEVYdGRjOmZvcm1hdABpbWFnZS9wbmf/uRs+AAAAHHRFWHRTb2Z0 d2FyZQBBZG9iZSBGaXJld29ya3MgQ1M26LyyjAAAACN0RVh0eG1wOkNyZWF0ZURhdGUAMjAyMi0w Ny0wMVQyMzozNjowM1q4jYmUAAAALXRFWHR4bXA6Q3JlYXRvclRvb2wAQWRvYmUgRmlyZXdvcmtz IENTNiAoV2luZG93cykoY/PJAAAAI3RFWHR4bXA6TW9kaWZ5RGF0ZQAyMDIyLTA3LTI0VDIzOjA4 OjUxWsSF4qsAAAAASUVORK5CYII='/%3E%3C/svg%3E"),repeating-radial-gradient(circle, transparent, transparent 11.2px, rgba(0, 0, 0, 0.008) 11.2px, rgba(0, 0, 0, 0.008) 14.4px), repeating-radial-gradient(circle, transparent, transparent 11.2px, rgba(0, 0, 0, 0.008) 11.2px, rgba(0, 0, 0, 0.008) 14.4px), rgba(255,255,255,1);
	background-position: right 15px top 10px, 0 0;
	background-repeat: no-repeat, repeat;
	background-size: auto,  1640px 640px;
}
h1 {	font-weight: 200;}
h2 {	font-weight: 300;}
 #tigamandotcom {width: 100%;height:500px;overflow-x: hidden;}
 #footer-thankyou, #footer-upgrade{display:none;}
table {
	width: 100%;
	max-width: 100%;
	margin: 20px 0;

}
tr {
	border-bottom:1px dotted  rgba(0,0,0,.2);	
	box-shadow: 0 5px 5px -5px rgba(0,0,0,.2);	
}
th {font-weight: 300;	letter-spacing: 1.5px;	
	text-transform: capitalize;}
table input {
	width: calc(100% - 20px);
	padding: 10px;
	margin: 0 0px;	font-weight: 400;
}


 </style>       
            <embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/">  <div style="clear: both; width: 100%; height: 1px;"></div>  


    </div>
<?php
}

// Retrieve minimum character length setting
// Retrieve minimum character length setting
function twd_auto_tags_min_chars() {
    $min_chars = get_option('twd_auto_tags_min_chars');
    return ($min_chars !== false) ? intval($min_chars) : 1000;
}

// Automatikus címkézés hossz beállítása a beállítás oldalról
function twd_auto_tags_set_min_chars($post_id) {
    $min_chars = twd_auto_tags_min_chars();
    $post = get_post($post_id);
    $content = $post->post_content;
    $content_without_links = preg_replace('/<a\b[^>]*>(.*?)<\/a>/i', '', $content);
    $words = preg_split('/\s+/', $content_without_links);
    foreach ($words as $word) {
        if (strlen($word) > $min_chars) {
            wp_set_post_tags($post_id, $word, true);
        }
    }
}
add_action('save_post', 'twd_auto_tags_set_min_chars');
?>